'
' Demonstrate reading a DS1307 Real Time Clock/Calendar using the DS1307 library
' Written by L.Johnson 08-01-16 for 18F devices
'
    Include "Amicus18.inc"                                      ' Configure the compiler to use a PIC18F25K20 at 64MHz. i.e. An Amicus18 board

    Declare SDA_Pin = PORTB.1                                   ' SDA connected to this pin
    Declare SCL_Pin = PORTB.0                                   ' SCL connected to this pin

    Include "DS1307.inc"                                        ' Load the DS1307 routines into the program

'----------------------------------------------------------------------------
' The main program starts here
Main:

    DS1307_WriteDate(6, 08, 01, 16)                             ' Write an initial date
    DS1307_WriteTime(21, 48, 12)                                ' Write an initial time

    While                                                       ' Create an infinite loop
        DS1307_ReadDate()                                       ' Read the date from the DS1307
        DS1307_Get_DayName(RTC_DayOfWeek, RTC_DayName)          ' Get the day's name into string RTC_DayName
        'DS1307_Get_MonthName(RTC_Month, RTC_MonthName)         ' Get the months's name into string RTC_MonthName

        HRSOut "Date = ", RTC_DayName, " ",_                    ' \
                          Dec RTC_Day, " ",_                    ' | Serially transmit the date as ASCII
                          Dec RTC_Month,_                       ' |
                          " 20", Dec RTC_Year, 13               ' /

        DS1307_ReadTime()                                       ' Read the time from the DS1307
        HRSOut "Time = ", Dec RTC_Hour, ":",_                   ' \
                          Dec RTC_Minute, ":",_                 ' | Serially transmit the time as ASCII
                          Dec RTC_Second, 13                    ' /
        DelayMS 1000                                            ' Create a delay of 1 second
    Wend                                                        ' Do it forever

